package com.ruoyi.system.domain.grid;

import java.io.Serializable;
import java.util.Objects;

public class GridRegion implements Serializable {
    private String id;

    /**
     * 1、基础网格  2、专属网格 4：经济网格
     *
     * @mbg.generated
     */
    private String wgType;

    /**
     * 网格编码
     *
     * @mbg.generated
     */
    private String wgCode;

    /**
     * 网格名称
     *
     * @mbg.generated
     */
    private String wgName;

    /**
     * 上级网格编码
     *
     * @mbg.generated
     */
    private String wgParentId;

    /**
     * 网格面积
     *
     * @mbg.generated
     */
    private String wgArea;

    /**
     * 中心坐标
     *
     * @mbg.generated
     */
    private String wgCentreCoordinate;

    /**
     * 网格二维码地址
     *
     * @mbg.generated
     */
    private String wgPrincipal;

    private String createTime;

    private String createBy;

    private String updateTime;

    private String updateBy;

    /**
     * 网格层级（从1开始,1、2、3代表网格，4代表地块）
     *
     * @mbg.generated
     */
    private String level;

    /**
     * 1:有效 0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    private String ylzd1;

    /**
     * 是否专属网格 1：是
     *
     * @mbg.generated
     */
    private String ylzd2;

    private String ylzd3;

    private String ylzd4;

    private String ylzd5;

    /**
     * 土地用途
     *
     * @mbg.generated
     */
    private String wgPurpose;

    /**
     * 范围坐标
     *
     * @mbg.generated
     */
    private String wgCoordinate;

    private String status;

    private String pName;

    private String pId;

    private String detail;

    private String jzArea;

    private Integer position;

    public String getDetail(){return detail;}

    public void setDetail(String detail){this.detail = detail;}

    public String getpName(){return pName;}

    public void setpName(String pName){this.pName = pName;}

    public String getpId(){return pId;}

    public void setpId(String pId){this.pId = pId;}

    public String getStatus(){return status;}

    public void setStatus(String status){this.status=status;}

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWgType() {
        return wgType;
    }

    public void setWgType(String wgType) {
        this.wgType = wgType;
    }

    public String getWgCode() {
        return wgCode;
    }

    public void setWgCode(String wgCode) {
        this.wgCode = wgCode;
    }

    public String getWgName() {
        return wgName;
    }

    public void setWgName(String wgName) {
        this.wgName = wgName;
    }

    public String getWgParentId() {
        return wgParentId;
    }

    public void setWgParentId(String wgParentId) {
        this.wgParentId = wgParentId;
    }

    public String getWgArea() {
        return wgArea;
    }

    public void setWgArea(String wgArea) {
        this.wgArea = wgArea;
    }

    public String getWgCentreCoordinate() {
        return wgCentreCoordinate;
    }

    public void setWgCentreCoordinate(String wgCentreCoordinate) {
        this.wgCentreCoordinate = wgCentreCoordinate;
    }

    public String getWgPrincipal() {
        return wgPrincipal;
    }

    public void setWgPrincipal(String wgPrincipal) {
        this.wgPrincipal = wgPrincipal;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getWgPurpose() {
        return wgPurpose;
    }

    public void setWgPurpose(String wgPurpose) {
        this.wgPurpose = wgPurpose;
    }

    public String getWgCoordinate() {
        return wgCoordinate;
    }

    public void setWgCoordinate(String wgCoordinate) {
        this.wgCoordinate = wgCoordinate;
    }

    public String getJzArea() {
        return jzArea;
    }

    public void setJzArea(String jzArea) {
        this.jzArea = jzArea;
    }

    public Integer getPosition() {
        return position;
    }

    public void setPosition(Integer position) {
        this.position = position;
    }

    @Override
    public String toString() {
        return "GridRegion{" +
                "id='" + id + '\'' +
                ", wgType='" + wgType + '\'' +
                ", wgCode='" + wgCode + '\'' +
                ", wgName='" + wgName + '\'' +
                ", wgParentId='" + wgParentId + '\'' +
                ", wgArea='" + wgArea + '\'' +
                ", wgCentreCoordinate='" + wgCentreCoordinate + '\'' +
                ", wgPrincipal='" + wgPrincipal + '\'' +
                ", createTime='" + createTime + '\'' +
                ", createBy='" + createBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", level='" + level + '\'' +
                ", isValid='" + isValid + '\'' +
                ", ylzd1='" + ylzd1 + '\'' +
                ", ylzd2='" + ylzd2 + '\'' +
                ", ylzd3='" + ylzd3 + '\'' +
                ", ylzd4='" + ylzd4 + '\'' +
                ", ylzd5='" + ylzd5 + '\'' +
                ", wgPurpose='" + wgPurpose + '\'' +
                ", wgCoordinate='" + wgCoordinate + '\'' +
                ", status='" + status + '\'' +
                ", pName='" + pName + '\'' +
                ", pId='" + pId + '\'' +
                ", detail='" + detail + '\'' +
                ", jzArea='" + jzArea + '\'' +
                ", position=" + position +
                '}';
    }

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        GridRegion that = (GridRegion) o;
        return Objects.equals(id, that.id) && Objects.equals(wgType, that.wgType) && Objects.equals(wgCode, that.wgCode) && Objects.equals(wgName, that.wgName) && Objects.equals(wgParentId, that.wgParentId) && Objects.equals(wgArea, that.wgArea) && Objects.equals(wgCentreCoordinate, that.wgCentreCoordinate) && Objects.equals(wgPrincipal, that.wgPrincipal) && Objects.equals(createTime, that.createTime) && Objects.equals(createBy, that.createBy) && Objects.equals(updateTime, that.updateTime) && Objects.equals(updateBy, that.updateBy) && Objects.equals(level, that.level) && Objects.equals(isValid, that.isValid) && Objects.equals(ylzd1, that.ylzd1) && Objects.equals(ylzd2, that.ylzd2) && Objects.equals(ylzd3, that.ylzd3) && Objects.equals(ylzd4, that.ylzd4) && Objects.equals(ylzd5, that.ylzd5) && Objects.equals(wgPurpose, that.wgPurpose) && Objects.equals(wgCoordinate, that.wgCoordinate) && Objects.equals(status, that.status) && Objects.equals(pName, that.pName) && Objects.equals(pId, that.pId) && Objects.equals(detail, that.detail) && Objects.equals(jzArea, that.jzArea) && Objects.equals(position, that.position);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, wgType, wgCode, wgName, wgParentId, wgArea, wgCentreCoordinate, wgPrincipal, createTime, createBy, updateTime, updateBy, level, isValid, ylzd1, ylzd2, ylzd3, ylzd4, ylzd5, wgPurpose, wgCoordinate, status, pName, pId, detail, jzArea, position);
    }
}
